package com.jsevy.jxml;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;
import org.w3c.dom.Text;

public class XMLText extends XMLCharacterData implements Text
{
    
    
    public XMLText()
    {
        this("");
    }
    
    
    public XMLText(String value)
    {
        // name of text node is always "#text"
        super("#text", value);
    }
    
    
    // only for use by subclasses
    protected XMLText(String name, String value)
    {
        // name of text node is always "#text"
        super(name, value);
    }
    
    /*
    @Override
    public Node cloneNode(boolean deep)
    {
        XMLText newNode = new XMLText(this.value.toString());
        
        if (deep)
        {
            // clone kids recursively
            for (int i = 0; i < children.getLength(); i++)
            {
                Node child = children.item(i);
                Node newChild = child.cloneNode(deep);
                newNode.appendChild(newChild);
            }
        }
        
        return newNode;
    }
    */
    
    
    
    @Override
    public short getNodeType()
    {
        return Node.TEXT_NODE;
    }
    
    
    @Override
    public String getTextContent() throws DOMException
    {
        // return depends on subclass, so overridden
        // for Text node, return value
        return this.getNodeValue();
    }
    
    
    
    @Override
    public Text splitText(int offset) throws DOMException
    {
        // create a new node with the text after the split point
        String afterText = this.getNodeValue().substring(offset);
        XMLText newTextNode = new XMLText(afterText);
        
        // trim this node's text
        this.getValueBuffer().setLength(offset);
        
        // add new node after current node
        if (this.getParentNode() != null)
        {
            // awkward because the Node interface doesn't have a utility function insertAfter... :-\
            Node followingSibling = this.getNextSibling();
            
            if (followingSibling == null)
            {
                // we're the last child of the parent; just add new child
                this.getParentNode().appendChild(newTextNode);
            }
            else
            {
                // insert new node before following sibling
                this.getParentNode().insertBefore(newTextNode, followingSibling);
            }
        }
        
        return newTextNode;
    }
    
    
    
    @Override
    public boolean isElementContentWhitespace()
    {
        // trim leading/trailing whitespace and see what's left
        String trimmed = this.getNodeValue().trim();
        if (trimmed.length() > 0)
            return false;
        else
            return true;
    }
    
    
    
    @Override
    public String getWholeText()
    {
        // TODO Auto-generated method stub
        return null;
    }
    
    
    
    @Override
    public Text replaceWholeText(String content) throws DOMException
    {
        // TODO Auto-generated method stub
        return null;
    }
    
}
